MS16-019: Security Update for .NET Framework to Address Denial of Service (3137893)

This script is Copyright (C) 2016-2017 Tenable Network Security, Inc.


Synopsis :

The remote host is affected by multiple vulnerabilities.

Description :

The remote Windows host is missing a security update. It is,
therefore, affected by multiple vulnerabilities in the .NET
Framework :

- A denial of service vulnerability exists due to improper
handling of certain Extensible Stylesheet Language
Transformations (XSLT). A remote attacker can exploit
this, via specially crafted XSLT inserted into a
client-side web part, to cause the server to recursively
compile XSLT transforms, resulting in significant
degradation of server performance. (CVE-2016-0033)

- An information disclosure vulnerability exists in
Windows Forms due to improper handling of icon data.
A remote attacker can exploit this, by uploading a
specially crafted icon, to capture information that is
returned within the icon's data. (CVE-2016-0047)

See also :

https://technet.microsoft.com/en-us/library/MS16-019.aspx

Solution :

Microsoft has released a set of patches for .NET framework 2.0 SP2,
3.5, 3.5.1, 4, 4.5.1, 4.5.2, 4.6, and 4.6.1.

Risk factor :

High / CVSS Base Score : 7.8
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C)
CVSS Temporal Score : 5.8
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 88651 ()

Bugtraq ID: 82717
82738

CVE ID: CVE-2016-0033
CVE-2016-0047

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now